import Mock from 'mockjs'
import { param2Obj } from '@/utils'

const List = []
const count = 100
const dictDataList = []

// 构建mock字典数据
for (let i = 0; i < count; i++) {
  List.push(
    Mock.mock({
      id: '@id',
      name: '字典-@cword(3)',
      memo: '备注-@csentence(6)',
      updatetime: '@datetime',
      'status|1': ['状态-正常', '状态-停用']
    })
  )
}

// 构建字典数据
for (let i = 0; i < 10; i++) {
  dictDataList.push(
    Mock.mock({
      id: '@id',
      label: '标签-@increment',
      memo: '备注-@csentence(6)',
      updatetime: '@datetime',
      value: '键值-@cword(2)',
      'status|1': ['状态-正常', '状态-停用']
    })
  )
}

export default {
  getdictlist: config => {
    console.log('req', config)
    const { name } = param2Obj(config.url)
    const result = {
      code: 200,
      data: {
        rows:
          name === undefined
            ? List
            : List.filter(item => {
              return item.name.indexOf(name) !== -1
            }),
        total: List.length
      },
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  adddict: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: Mock.mock('@id'),
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  deletedict: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  updatedict: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  getdictdatalist: config => {
    console.log('req', config)
    const { label } = param2Obj(config.url)
    const result = {
      code: 200,
      data: {
        rows:
          label === undefined
            ? dictDataList
            : dictDataList.filter(item => {
              return item.label.indexOf(label) !== -1
            }),
        total: dictDataList.length
      },
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  adddictdata: config => {
    console.log('req', config)
    dictDataList.push({ ...config.body, id: Mock.mock('@id') })
    const result = {
      code: 200,
      data: dictDataList[List.length - 1]['id'],
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  updatedictdata: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  deletedictdata: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  }
}
