import Mock from 'mockjs'
import loginAPI from './login'
import articleAPI from './article'
import remoteSearchAPI from './remoteSearch'
import transactionAPI from './transaction'
import dictAPI from './dict'
import actorAPI from './actor'
import orgAPI from './org'
import userAPI from './user'

// Mock.setup({
//   timeout: '350-600'
// })

// 登录相关
Mock.mock(/\/login\b/, 'post', loginAPI.loginByUsername)
Mock.mock(/\/login\/logout/, 'post', loginAPI.logout)
Mock.mock(/\/user\/info\.*/, 'get', loginAPI.getUserInfo)

// 文章相关
Mock.mock(/\/article\/list/, 'get', articleAPI.getList)
Mock.mock(/\/article\/detail/, 'get', articleAPI.getArticle)
Mock.mock(/\/article\/pv/, 'get', articleAPI.getPv)
Mock.mock(/\/article\/create/, 'post', articleAPI.createArticle)
Mock.mock(/\/article\/update/, 'post', articleAPI.updateArticle)

// 搜索相关
Mock.mock(/\/search\/user/, 'get', remoteSearchAPI.searchUser)

// 账单相关
Mock.mock(/\/transaction\/list/, 'get', transactionAPI.getList)

// 字典管理
Mock.mock(/\/dictionary\b/, 'get', dictAPI.getdictlist)
Mock.mock(/\/dictionary/, 'post', dictAPI.adddict)
Mock.mock(/\/dictionary/, 'delete', dictAPI.deletedict)
Mock.mock(/\/dictionary/, 'put', dictAPI.updatedict)

// 字典数据管理
Mock.mock(/\/dictionaryData\b/, 'get', dictAPI.getdictdatalist)
Mock.mock(/\/dictionaryData\b/, 'post', dictAPI.getdictdatalist)
Mock.mock(/\/dictionaryData\b/, 'put', dictAPI.updatedictdata)

// 角色管理
Mock.mock(/\/role/, 'get', actorAPI.getactorlist)
Mock.mock(/\/role/, 'post', actorAPI.addactor)
Mock.mock(/\/role/, 'put', actorAPI.updateactor)
Mock.mock(/\/role/, 'delete', actorAPI.deleteactor)

// 组织结构管理
Mock.mock(/\/department\/.*\/sub/, 'get', orgAPI.fetchorglazy)
Mock.mock(/\/department/, 'post', orgAPI.saveorgbypid)
Mock.mock(/\/department/, 'put', orgAPI.updateorgbyid)
Mock.mock(/\/department/, 'delete', orgAPI.deleteorgbyid)

// 用户管理
Mock.mock(/\/department\/.+\/users$/, 'get', userAPI.getuserbydept)
Mock.mock(/\/users/, 'get', userAPI.getuserlist)
Mock.mock(/\/user/, 'post', userAPI.adduser)
Mock.mock(/\/user/, 'put', userAPI.updateuser)
Mock.mock(/\/user/, 'delete', userAPI.deleteuser)

export default Mock
