import Mock from 'mockjs'
import { param2Obj } from '@/utils'
const List = []
const count = 100

for (let i = 0; i < count; i++) {
  List.push(
    Mock.mock({
      id: '@id',
      username: '@string("lower",3,5)',
      name: '姓名-@cword(2,3)',
      updateDate: '@datetime',
      email: '@email',
      mobile: '137@string("number", 8)',
      phone: '022-@string("number", 7)',
      'sex|1': ['男', '女'],
      remarks: '备注-@csentence(6)',
      'status|1': ['状态-正常', '状态-停用']
    })
  )
}

function getrandomList() {
  return Mock.mock({
    'data|3-9': [
      {
        id: '@id',
        username: '@string("lower",3,5)',
        name: '姓名-@cword(2,3)',
        updateDate: '@datetime',
        email: '@email',
        mobile: '137@string("number", 8)',
        phone: '022-@string("number", 7)',
        'sex|1': ['男', '女'],
        remarks: '备注-@csentence(6)',
        'status|1': ['状态-正常', '状态-停用']
      }
    ]
  })
}

export default {
  getuserlist: config => {
    console.log('req', config)
    const { name, pagesize } = param2Obj(config.url)
    if (pagesize !== undefined) {
      const pageresult = {
        code: 200,
        data: {
          rows: List.slice(0, pagesize),
          total: List.length
        },
        msg: 'success'
      }
      console.log('res', pageresult)
      return pageresult
    }
    const result = {
      code: 200,
      data: {
        rows:
          name === undefined
            ? List
            : List.filter(item => {
              return item.name.indexOf(name) !== -1
            }),
        total: List.length
      },
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  adduser: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: Mock.mock('@id'),
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  updateuser: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  deleteuser: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: null,
      msg: 'success'
    }
    console.log('res', result)
    return result
  },
  getuserbydept: config => {
    console.log('req', config)
    const result = {
      code: 200,
      data: getrandomList().data,
      msg: 'success'
    }
    console.log('res', result)
    return result
  }
}
